Index: opengl32/opengl_ext.c
===================================================================
RCS file: /home/wine/wine/dlls/opengl32/opengl_ext.c,v
retrieving revision 1.16
diff -u -r1.16 opengl_ext.c
--- opengl32/opengl_ext.c	14 Apr 2004 23:58:33 -0000	1.16
+++ opengl32/opengl_ext.c	4 Feb 2005 16:53:19 -0000
@@ -1123,20 +1225,26 @@
 void WINAPI wine_glDeleteObjectARB( unsigned int );
 void WINAPI wine_glDeleteObjectBufferATI( GLuint );
 void WINAPI wine_glDeleteOcclusionQueriesNV( GLsizei, GLuint* );
+void WINAPI wine_glDeleteProgram( GLuint );
 void WINAPI wine_glDeleteProgramsARB( GLsizei, GLuint* );
 void WINAPI wine_glDeleteProgramsNV( GLsizei, GLuint* );
 void WINAPI wine_glDeleteQueries( GLsizei, GLuint* );
 void WINAPI wine_glDeleteQueriesARB( GLsizei, GLuint* );
+void WINAPI wine_glDeleteShader( GLuint );
 void WINAPI wine_glDeleteTexturesEXT( GLsizei, GLuint* );
 void WINAPI wine_glDeleteVertexArraysAPPLE( GLsizei, GLuint* );
 void WINAPI wine_glDeleteVertexShaderEXT( GLuint );
 void WINAPI wine_glDepthBoundsEXT( GLclampd, GLclampd );
 void WINAPI wine_glDetachObjectARB( unsigned int, unsigned int );
+void WINAPI wine_glDetachShader( GLuint, GLuint );
 void WINAPI wine_glDetailTexFuncSGIS( GLenum, GLsizei, GLfloat* );
 void WINAPI wine_glDisableVariantClientStateEXT( GLuint );
+void WINAPI wine_glDisableVertexAttribArray( GLuint );
 void WINAPI wine_glDisableVertexAttribArrayARB( GLuint );
 void WINAPI wine_glDrawArraysEXT( GLenum, GLint, GLsizei );
 void WINAPI wine_glDrawBufferRegion( GLenum, GLint, GLint, GLsizei, GLsizei, GLint, GLint );
+void WINAPI wine_glDrawBuffers( GLsizei, GLenum* );
+void WINAPI wine_glDrawBuffersARB( GLsizei, GLenum* );
 void WINAPI wine_glDrawBuffersATI( GLsizei, GLenum* );
 void WINAPI wine_glDrawElementArrayAPPLE( GLenum, GLint, GLsizei );
 void WINAPI wine_glDrawElementArrayATI( GLenum, GLsizei );
@@ -1149,6 +1257,7 @@
 void WINAPI wine_glElementPointerAPPLE( GLenum, GLvoid* );
 void WINAPI wine_glElementPointerATI( GLenum, GLvoid* );
 void WINAPI wine_glEnableVariantClientStateEXT( GLuint );
+void WINAPI wine_glEnableVertexAttribArray( GLuint );
 void WINAPI wine_glEnableVertexAttribArrayARB( GLuint );
 void WINAPI wine_glEndFragmentShaderATI( );
 void WINAPI wine_glEndOcclusionQueryNV( );
@@ -1212,11 +1321,15 @@
 void WINAPI wine_glGenTexturesEXT( GLsizei, GLuint* );
 void WINAPI wine_glGenVertexArraysAPPLE( GLsizei, GLuint* );
 GLuint WINAPI wine_glGenVertexShadersEXT( GLuint );
+void WINAPI wine_glGetActiveAttrib( GLuint, GLuint, GLsizei, GLsizei*, GLint*, GLenum*, GLchar* );
 void WINAPI wine_glGetActiveAttribARB( unsigned int, GLuint, GLsizei, GLsizei*, GLint*, GLenum*, char* );
+void WINAPI wine_glGetActiveUniform( GLuint, GLuint, GLsizei, GLsizei*, GLint*, GLenum*, GLchar* );
 void WINAPI wine_glGetActiveUniformARB( unsigned int, GLuint, GLsizei, GLsizei*, GLint*, GLenum*, char* );
 void WINAPI wine_glGetArrayObjectfvATI( GLenum, GLenum, GLfloat* );
 void WINAPI wine_glGetArrayObjectivATI( GLenum, GLenum, GLint* );
 void WINAPI wine_glGetAttachedObjectsARB( unsigned int, GLsizei, GLsizei*, unsigned int* );
+void WINAPI wine_glGetAttachedShaders( GLuint, GLsizei, GLsizei*, GLuint* );
+GLint WINAPI wine_glGetAttribLocation( GLuint, GLchar* );
 GLint WINAPI wine_glGetAttribLocationARB( unsigned int, char* );
 void WINAPI wine_glGetBufferParameteriv( GLenum, GLenum, GLint* );
 void WINAPI wine_glGetBufferParameterivARB( GLenum, GLenum, GLint* );
@@ -1284,6 +1397,7 @@
 void WINAPI wine_glGetPointervEXT( GLenum, GLvoid** );
 void WINAPI wine_glGetProgramEnvParameterdvARB( GLenum, GLuint, GLdouble* );
 void WINAPI wine_glGetProgramEnvParameterfvARB( GLenum, GLuint, GLfloat* );
+void WINAPI wine_glGetProgramInfoLog( GLuint, GLsizei, GLsizei*, GLchar* );
 void WINAPI wine_glGetProgramLocalParameterdvARB( GLenum, GLuint, GLdouble* );
 void WINAPI wine_glGetProgramLocalParameterfvARB( GLenum, GLuint, GLfloat* );
 void WINAPI wine_glGetProgramNamedParameterdvNV( GLuint, GLsizei, GLubyte*, GLdouble* );
@@ -1292,6 +1406,7 @@
 void WINAPI wine_glGetProgramParameterfvNV( GLenum, GLuint, GLenum, GLfloat* );
 void WINAPI wine_glGetProgramStringARB( GLenum, GLenum, GLvoid* );
 void WINAPI wine_glGetProgramStringNV( GLuint, GLenum, GLubyte* );
+void WINAPI wine_glGetProgramiv( GLuint, GLenum, GLint* );
 void WINAPI wine_glGetProgramivARB( GLenum, GLenum, GLint* );
 void WINAPI wine_glGetProgramivNV( GLuint, GLenum, GLint* );
 void WINAPI wine_glGetQueryObjectiv( GLuint, GLenum, GLint* );
@@ -1301,14 +1416,20 @@
 void WINAPI wine_glGetQueryiv( GLenum, GLenum, GLint* );
 void WINAPI wine_glGetQueryivARB( GLenum, GLenum, GLint* );
 void WINAPI wine_glGetSeparableFilterEXT( GLenum, GLenum, GLenum, GLvoid*, GLvoid*, GLvoid* );
+void WINAPI wine_glGetShaderInfoLog( GLuint, GLsizei, GLsizei*, GLchar* );
+void WINAPI wine_glGetShaderSource( GLuint, GLsizei, GLsizei*, GLchar* );
 void WINAPI wine_glGetShaderSourceARB( unsigned int, GLsizei, GLsizei*, char* );
+void WINAPI wine_glGetShaderiv( GLuint, GLenum, GLint* );
 void WINAPI wine_glGetSharpenTexFuncSGIS( GLenum, GLfloat* );
 void WINAPI wine_glGetTexBumpParameterfvATI( GLenum, GLfloat* );
 void WINAPI wine_glGetTexBumpParameterivATI( GLenum, GLint* );
 void WINAPI wine_glGetTexFilterFuncSGIS( GLenum, GLenum, GLfloat* );
 void WINAPI wine_glGetTrackMatrixivNV( GLenum, GLuint, GLenum, GLint* );
+GLint WINAPI wine_glGetUniformLocation( GLuint, GLchar* );
 GLint WINAPI wine_glGetUniformLocationARB( unsigned int, char* );
+void WINAPI wine_glGetUniformfv( GLuint, GLint, GLfloat* );
 void WINAPI wine_glGetUniformfvARB( unsigned int, GLint, GLfloat* );
+void WINAPI wine_glGetUniformiv( GLuint, GLint, GLint* );
 void WINAPI wine_glGetUniformivARB( unsigned int, GLint, GLint* );
 void WINAPI wine_glGetVariantArrayObjectfvATI( GLuint, GLenum, GLfloat* );
 void WINAPI wine_glGetVariantArrayObjectivATI( GLuint, GLenum, GLint* );
@@ -1318,12 +1439,16 @@
 void WINAPI wine_glGetVariantPointervEXT( GLuint, GLenum, GLvoid** );
 void WINAPI wine_glGetVertexAttribArrayObjectfvATI( GLuint, GLenum, GLfloat* );
 void WINAPI wine_glGetVertexAttribArrayObjectivATI( GLuint, GLenum, GLint* );
+void WINAPI wine_glGetVertexAttribPointerv( GLuint, GLenum, GLvoid** );
 void WINAPI wine_glGetVertexAttribPointervARB( GLuint, GLenum, GLvoid** );
 void WINAPI wine_glGetVertexAttribPointervNV( GLuint, GLenum, GLvoid** );
+void WINAPI wine_glGetVertexAttribdv( GLuint, GLenum, GLdouble* );
 void WINAPI wine_glGetVertexAttribdvARB( GLuint, GLenum, GLdouble* );
 void WINAPI wine_glGetVertexAttribdvNV( GLuint, GLenum, GLdouble* );
+void WINAPI wine_glGetVertexAttribfv( GLuint, GLenum, GLfloat* );
 void WINAPI wine_glGetVertexAttribfvARB( GLuint, GLenum, GLfloat* );
 void WINAPI wine_glGetVertexAttribfvNV( GLuint, GLenum, GLfloat* );
+void WINAPI wine_glGetVertexAttribiv( GLuint, GLenum, GLint* );
 void WINAPI wine_glGetVertexAttribivARB( GLuint, GLenum, GLint* );
 void WINAPI wine_glGetVertexAttribivNV( GLuint, GLenum, GLint* );
 void WINAPI wine_glGlobalAlphaFactorbSUN( GLbyte );
@@ -1354,14 +1479,17 @@
 GLboolean WINAPI wine_glIsFenceNV( GLuint );
 GLboolean WINAPI wine_glIsObjectBufferATI( GLuint );
 GLboolean WINAPI wine_glIsOcclusionQueryNV( GLuint );
+GLboolean WINAPI wine_glIsProgram( GLuint );
 GLboolean WINAPI wine_glIsProgramARB( GLuint );
 GLboolean WINAPI wine_glIsProgramNV( GLuint );
 GLboolean WINAPI wine_glIsQuery( GLuint );
 GLboolean WINAPI wine_glIsQueryARB( GLuint );
+GLboolean WINAPI wine_glIsShader( GLuint );
 GLboolean WINAPI wine_glIsTextureEXT( GLuint );
 GLboolean WINAPI wine_glIsVariantEnabledEXT( GLuint, GLenum );
 GLboolean WINAPI wine_glIsVertexArrayAPPLE( GLuint );
 void WINAPI wine_glLightEnviSGIX( GLenum, GLint );
+void WINAPI wine_glLinkProgram( GLuint );
 void WINAPI wine_glLinkProgramARB( unsigned int );
 void WINAPI wine_glListParameterfSGIX( GLuint, GLenum, GLfloat );
 void WINAPI wine_glListParameterfvSGIX( GLuint, GLenum, GLfloat* );
@@ -1658,6 +1786,7 @@
 void WINAPI wine_glShaderOp1EXT( GLenum, GLuint, GLuint );
 void WINAPI wine_glShaderOp2EXT( GLenum, GLuint, GLuint, GLuint );
 void WINAPI wine_glShaderOp3EXT( GLenum, GLuint, GLuint, GLuint, GLuint );
+void WINAPI wine_glShaderSource( GLuint, GLsizei, GLchar**, GLint* );
 void WINAPI wine_glShaderSourceARB( unsigned int, GLsizei, char**, GLint* );
 void WINAPI wine_glSharpenTexFuncSGIS( GLenum, GLsizei, GLfloat* );
 void WINAPI wine_glSpriteParameterfSGIX( GLenum, GLfloat );
@@ -1665,7 +1794,10 @@
 void WINAPI wine_glSpriteParameteriSGIX( GLenum, GLint );
 void WINAPI wine_glSpriteParameterivSGIX( GLenum, GLint* );
 void WINAPI wine_glStartInstrumentsSGIX( );
+void WINAPI wine_glStencilFuncSeparate( GLenum, GLenum, GLint, GLuint );
 void WINAPI wine_glStencilFuncSeparateATI( GLenum, GLenum, GLint, GLuint );
+void WINAPI wine_glStencilMaskSeparate( GLenum, GLuint );
+void WINAPI wine_glStencilOpSeparate( GLenum, GLenum, GLenum, GLenum );
 void WINAPI wine_glStencilOpSeparateATI( GLenum, GLenum, GLenum, GLenum );
 void WINAPI wine_glStopInstrumentsSGIX( GLint );
 void WINAPI wine_glSwizzleEXT( GLuint, GLuint, GLenum, GLenum, GLenum, GLenum );
@@ -1724,31 +1856,52 @@
 void WINAPI wine_glTextureMaterialEXT( GLenum, GLenum );
 void WINAPI wine_glTextureNormalEXT( GLenum );
 void WINAPI wine_glTrackMatrixNV( GLenum, GLuint, GLenum, GLenum );
+void WINAPI wine_glUniform1f( GLint, GLfloat );
 void WINAPI wine_glUniform1fARB( GLint, GLfloat );
+void WINAPI wine_glUniform1fv( GLint, GLsizei, GLfloat* );
 void WINAPI wine_glUniform1fvARB( GLint, GLsizei, GLfloat* );
+void WINAPI wine_glUniform1i( GLint, GLint );
 void WINAPI wine_glUniform1iARB( GLint, GLint );
+void WINAPI wine_glUniform1iv( GLint, GLsizei, GLint* );
 void WINAPI wine_glUniform1ivARB( GLint, GLsizei, GLint* );
+void WINAPI wine_glUniform2f( GLint, GLfloat, GLfloat );
 void WINAPI wine_glUniform2fARB( GLint, GLfloat, GLfloat );
+void WINAPI wine_glUniform2fv( GLint, GLsizei, GLfloat* );
 void WINAPI wine_glUniform2fvARB( GLint, GLsizei, GLfloat* );
+void WINAPI wine_glUniform2i( GLint, GLint, GLint );
 void WINAPI wine_glUniform2iARB( GLint, GLint, GLint );
+void WINAPI wine_glUniform2iv( GLint, GLsizei, GLint* );
 void WINAPI wine_glUniform2ivARB( GLint, GLsizei, GLint* );
+void WINAPI wine_glUniform3f( GLint, GLfloat, GLfloat, GLfloat );
 void WINAPI wine_glUniform3fARB( GLint, GLfloat, GLfloat, GLfloat );
+void WINAPI wine_glUniform3fv( GLint, GLsizei, GLfloat* );
 void WINAPI wine_glUniform3fvARB( GLint, GLsizei, GLfloat* );
+void WINAPI wine_glUniform3i( GLint, GLint, GLint, GLint );
 void WINAPI wine_glUniform3iARB( GLint, GLint, GLint, GLint );
+void WINAPI wine_glUniform3iv( GLint, GLsizei, GLint* );
 void WINAPI wine_glUniform3ivARB( GLint, GLsizei, GLint* );
+void WINAPI wine_glUniform4f( GLint, GLfloat, GLfloat, GLfloat, GLfloat );
 void WINAPI wine_glUniform4fARB( GLint, GLfloat, GLfloat, GLfloat, GLfloat );
+void WINAPI wine_glUniform4fv( GLint, GLsizei, GLfloat* );
 void WINAPI wine_glUniform4fvARB( GLint, GLsizei, GLfloat* );
+void WINAPI wine_glUniform4i( GLint, GLint, GLint, GLint, GLint );
 void WINAPI wine_glUniform4iARB( GLint, GLint, GLint, GLint, GLint );
+void WINAPI wine_glUniform4iv( GLint, GLsizei, GLint* );
 void WINAPI wine_glUniform4ivARB( GLint, GLsizei, GLint* );
+void WINAPI wine_glUniformMatrix2fv( GLint, GLsizei, GLboolean, GLfloat* );
 void WINAPI wine_glUniformMatrix2fvARB( GLint, GLsizei, GLboolean, GLfloat* );
+void WINAPI wine_glUniformMatrix3fv( GLint, GLsizei, GLboolean, GLfloat* );
 void WINAPI wine_glUniformMatrix3fvARB( GLint, GLsizei, GLboolean, GLfloat* );
+void WINAPI wine_glUniformMatrix4fv( GLint, GLsizei, GLboolean, GLfloat* );
 void WINAPI wine_glUniformMatrix4fvARB( GLint, GLsizei, GLboolean, GLfloat* );
 void WINAPI wine_glUnlockArraysEXT( );
 GLboolean WINAPI wine_glUnmapBuffer( GLenum );
 GLboolean WINAPI wine_glUnmapBufferARB( GLenum );
 void WINAPI wine_glUnmapObjectBufferATI( GLuint );
 void WINAPI wine_glUpdateObjectBufferATI( GLuint, GLuint, GLsizei, GLvoid*, GLenum );
+void WINAPI wine_glUseProgram( GLuint );
 void WINAPI wine_glUseProgramObjectARB( unsigned int );
+void WINAPI wine_glValidateProgram( GLuint );
 void WINAPI wine_glValidateProgramARB( unsigned int );
 void WINAPI wine_glVariantArrayObjectATI( GLuint, GLenum, GLsizei, GLuint, GLuint );
 void WINAPI wine_glVariantPointerEXT( GLuint, GLenum, GLuint, GLvoid* );
@@ -1769,77 +1922,114 @@
 void WINAPI wine_glVertexArrayParameteriAPPLE( GLenum, GLint );
 void WINAPI wine_glVertexArrayRangeAPPLE( GLsizei, GLvoid* );
 void WINAPI wine_glVertexArrayRangeNV( GLsizei, GLvoid* );
+void WINAPI wine_glVertexAttrib1d( GLuint, GLdouble );
 void WINAPI wine_glVertexAttrib1dARB( GLuint, GLdouble );
 void WINAPI wine_glVertexAttrib1dNV( GLuint, GLdouble );
+void WINAPI wine_glVertexAttrib1dv( GLuint, GLdouble* );
 void WINAPI wine_glVertexAttrib1dvARB( GLuint, GLdouble* );
 void WINAPI wine_glVertexAttrib1dvNV( GLuint, GLdouble* );
+void WINAPI wine_glVertexAttrib1f( GLuint, GLfloat );
 void WINAPI wine_glVertexAttrib1fARB( GLuint, GLfloat );
 void WINAPI wine_glVertexAttrib1fNV( GLuint, GLfloat );
+void WINAPI wine_glVertexAttrib1fv( GLuint, GLfloat* );
 void WINAPI wine_glVertexAttrib1fvARB( GLuint, GLfloat* );
 void WINAPI wine_glVertexAttrib1fvNV( GLuint, GLfloat* );
 void WINAPI wine_glVertexAttrib1hNV( GLuint, unsigned short );
 void WINAPI wine_glVertexAttrib1hvNV( GLuint, unsigned short* );
+void WINAPI wine_glVertexAttrib1s( GLuint, GLshort );
 void WINAPI wine_glVertexAttrib1sARB( GLuint, GLshort );
 void WINAPI wine_glVertexAttrib1sNV( GLuint, GLshort );
+void WINAPI wine_glVertexAttrib1sv( GLuint, GLshort* );
 void WINAPI wine_glVertexAttrib1svARB( GLuint, GLshort* );
 void WINAPI wine_glVertexAttrib1svNV( GLuint, GLshort* );
+void WINAPI wine_glVertexAttrib2d( GLuint, GLdouble, GLdouble );
 void WINAPI wine_glVertexAttrib2dARB( GLuint, GLdouble, GLdouble );
 void WINAPI wine_glVertexAttrib2dNV( GLuint, GLdouble, GLdouble );
+void WINAPI wine_glVertexAttrib2dv( GLuint, GLdouble* );
 void WINAPI wine_glVertexAttrib2dvARB( GLuint, GLdouble* );
 void WINAPI wine_glVertexAttrib2dvNV( GLuint, GLdouble* );
+void WINAPI wine_glVertexAttrib2f( GLuint, GLfloat, GLfloat );
 void WINAPI wine_glVertexAttrib2fARB( GLuint, GLfloat, GLfloat );
 void WINAPI wine_glVertexAttrib2fNV( GLuint, GLfloat, GLfloat );
+void WINAPI wine_glVertexAttrib2fv( GLuint, GLfloat* );
 void WINAPI wine_glVertexAttrib2fvARB( GLuint, GLfloat* );
 void WINAPI wine_glVertexAttrib2fvNV( GLuint, GLfloat* );
 void WINAPI wine_glVertexAttrib2hNV( GLuint, unsigned short, unsigned short );
 void WINAPI wine_glVertexAttrib2hvNV( GLuint, unsigned short* );
+void WINAPI wine_glVertexAttrib2s( GLuint, GLshort, GLshort );
 void WINAPI wine_glVertexAttrib2sARB( GLuint, GLshort, GLshort );
 void WINAPI wine_glVertexAttrib2sNV( GLuint, GLshort, GLshort );
+void WINAPI wine_glVertexAttrib2sv( GLuint, GLshort* );
 void WINAPI wine_glVertexAttrib2svARB( GLuint, GLshort* );
 void WINAPI wine_glVertexAttrib2svNV( GLuint, GLshort* );
+void WINAPI wine_glVertexAttrib3d( GLuint, GLdouble, GLdouble, GLdouble );
 void WINAPI wine_glVertexAttrib3dARB( GLuint, GLdouble, GLdouble, GLdouble );
 void WINAPI wine_glVertexAttrib3dNV( GLuint, GLdouble, GLdouble, GLdouble );
+void WINAPI wine_glVertexAttrib3dv( GLuint, GLdouble* );
 void WINAPI wine_glVertexAttrib3dvARB( GLuint, GLdouble* );
 void WINAPI wine_glVertexAttrib3dvNV( GLuint, GLdouble* );
+void WINAPI wine_glVertexAttrib3f( GLuint, GLfloat, GLfloat, GLfloat );
 void WINAPI wine_glVertexAttrib3fARB( GLuint, GLfloat, GLfloat, GLfloat );
 void WINAPI wine_glVertexAttrib3fNV( GLuint, GLfloat, GLfloat, GLfloat );
+void WINAPI wine_glVertexAttrib3fv( GLuint, GLfloat* );
 void WINAPI wine_glVertexAttrib3fvARB( GLuint, GLfloat* );
 void WINAPI wine_glVertexAttrib3fvNV( GLuint, GLfloat* );
 void WINAPI wine_glVertexAttrib3hNV( GLuint, unsigned short, unsigned short, unsigned short );
 void WINAPI wine_glVertexAttrib3hvNV( GLuint, unsigned short* );
+void WINAPI wine_glVertexAttrib3s( GLuint, GLshort, GLshort, GLshort );
 void WINAPI wine_glVertexAttrib3sARB( GLuint, GLshort, GLshort, GLshort );
 void WINAPI wine_glVertexAttrib3sNV( GLuint, GLshort, GLshort, GLshort );
+void WINAPI wine_glVertexAttrib3sv( GLuint, GLshort* );
 void WINAPI wine_glVertexAttrib3svARB( GLuint, GLshort* );
 void WINAPI wine_glVertexAttrib3svNV( GLuint, GLshort* );
+void WINAPI wine_glVertexAttrib4Nbv( GLuint, GLbyte* );
 void WINAPI wine_glVertexAttrib4NbvARB( GLuint, GLbyte* );
+void WINAPI wine_glVertexAttrib4Niv( GLuint, GLint* );
 void WINAPI wine_glVertexAttrib4NivARB( GLuint, GLint* );
+void WINAPI wine_glVertexAttrib4Nsv( GLuint, GLshort* );
 void WINAPI wine_glVertexAttrib4NsvARB( GLuint, GLshort* );
+void WINAPI wine_glVertexAttrib4Nub( GLuint, GLubyte, GLubyte, GLubyte, GLubyte );
 void WINAPI wine_glVertexAttrib4NubARB( GLuint, GLubyte, GLubyte, GLubyte, GLubyte );
+void WINAPI wine_glVertexAttrib4Nubv( GLuint, GLubyte* );
 void WINAPI wine_glVertexAttrib4NubvARB( GLuint, GLubyte* );
+void WINAPI wine_glVertexAttrib4Nuiv( GLuint, GLuint* );
 void WINAPI wine_glVertexAttrib4NuivARB( GLuint, GLuint* );
+void WINAPI wine_glVertexAttrib4Nusv( GLuint, GLushort* );
 void WINAPI wine_glVertexAttrib4NusvARB( GLuint, GLushort* );
+void WINAPI wine_glVertexAttrib4bv( GLuint, GLbyte* );
 void WINAPI wine_glVertexAttrib4bvARB( GLuint, GLbyte* );
+void WINAPI wine_glVertexAttrib4d( GLuint, GLdouble, GLdouble, GLdouble, GLdouble );
 void WINAPI wine_glVertexAttrib4dARB( GLuint, GLdouble, GLdouble, GLdouble, GLdouble );
 void WINAPI wine_glVertexAttrib4dNV( GLuint, GLdouble, GLdouble, GLdouble, GLdouble );
+void WINAPI wine_glVertexAttrib4dv( GLuint, GLdouble* );
 void WINAPI wine_glVertexAttrib4dvARB( GLuint, GLdouble* );
 void WINAPI wine_glVertexAttrib4dvNV( GLuint, GLdouble* );
+void WINAPI wine_glVertexAttrib4f( GLuint, GLfloat, GLfloat, GLfloat, GLfloat );
 void WINAPI wine_glVertexAttrib4fARB( GLuint, GLfloat, GLfloat, GLfloat, GLfloat );
 void WINAPI wine_glVertexAttrib4fNV( GLuint, GLfloat, GLfloat, GLfloat, GLfloat );
+void WINAPI wine_glVertexAttrib4fv( GLuint, GLfloat* );
 void WINAPI wine_glVertexAttrib4fvARB( GLuint, GLfloat* );
 void WINAPI wine_glVertexAttrib4fvNV( GLuint, GLfloat* );
 void WINAPI wine_glVertexAttrib4hNV( GLuint, unsigned short, unsigned short, unsigned short, unsigned short );
 void WINAPI wine_glVertexAttrib4hvNV( GLuint, unsigned short* );
+void WINAPI wine_glVertexAttrib4iv( GLuint, GLint* );
 void WINAPI wine_glVertexAttrib4ivARB( GLuint, GLint* );
+void WINAPI wine_glVertexAttrib4s( GLuint, GLshort, GLshort, GLshort, GLshort );
 void WINAPI wine_glVertexAttrib4sARB( GLuint, GLshort, GLshort, GLshort, GLshort );
 void WINAPI wine_glVertexAttrib4sNV( GLuint, GLshort, GLshort, GLshort, GLshort );
+void WINAPI wine_glVertexAttrib4sv( GLuint, GLshort* );
 void WINAPI wine_glVertexAttrib4svARB( GLuint, GLshort* );
 void WINAPI wine_glVertexAttrib4svNV( GLuint, GLshort* );
 void WINAPI wine_glVertexAttrib4ubNV( GLuint, GLubyte, GLubyte, GLubyte, GLubyte );
+void WINAPI wine_glVertexAttrib4ubv( GLuint, GLubyte* );
 void WINAPI wine_glVertexAttrib4ubvARB( GLuint, GLubyte* );
 void WINAPI wine_glVertexAttrib4ubvNV( GLuint, GLubyte* );
+void WINAPI wine_glVertexAttrib4uiv( GLuint, GLuint* );
 void WINAPI wine_glVertexAttrib4uivARB( GLuint, GLuint* );
+void WINAPI wine_glVertexAttrib4usv( GLuint, GLushort* );
 void WINAPI wine_glVertexAttrib4usvARB( GLuint, GLushort* );
 void WINAPI wine_glVertexAttribArrayObjectATI( GLuint, GLint, GLenum, GLboolean, GLsizei, GLuint, GLuint );
+void WINAPI wine_glVertexAttribPointer( GLuint, GLint, GLenum, GLboolean, GLsizei, GLvoid* );
 void WINAPI wine_glVertexAttribPointerARB( GLuint, GLint, GLenum, GLboolean, GLsizei, GLvoid* );
 void WINAPI wine_glVertexAttribPointerNV( GLuint, GLint, GLenum, GLsizei, GLvoid* );
 void WINAPI wine_glVertexAttribs1dvNV( GLuint, GLsizei, GLdouble* );
@@ -1973,8 +2163,8 @@
 
 
 /* The table giving the correspondance between names and functions */
-int extension_registry_size = 980;
-OpenGL_extension extension_registry[980] = {
+int extension_registry_size = 1075;
+OpenGL_extension extension_registry[1075] = {
   { "glActiveStencilFaceEXT", "glActiveStencilFaceEXT", (void *) wine_glActiveStencilFaceEXT, (void **) (&func_glActiveStencilFaceEXT) },
   { "glActiveTexture", "glActiveTexture", (void *) wine_glActiveTexture, (void **) (&func_glActiveTexture) },
   { "glActiveTextureARB", "glActiveTextureARB", (void *) wine_glActiveTextureARB, (void **) (&func_glActiveTextureARB) },
@@ -1988,11 +2178,13 @@
   { "glArrayObjectATI", "glArrayObjectATI", (void *) wine_glArrayObjectATI, (void **) (&func_glArrayObjectATI) },
   { "glAsyncMarkerSGIX", "glAsyncMarkerSGIX", (void *) wine_glAsyncMarkerSGIX, (void **) (&func_glAsyncMarkerSGIX) },
   { "glAttachObjectARB", "glAttachObjectARB", (void *) wine_glAttachObjectARB, (void **) (&func_glAttachObjectARB) },
+  { "glAttachShader", "glAttachShader", (void *) wine_glAttachShader, (void **) (&func_glAttachShader) },
   { "glBeginFragmentShaderATI", "glBeginFragmentShaderATI", (void *) wine_glBeginFragmentShaderATI, (void **) (&func_glBeginFragmentShaderATI) },
   { "glBeginOcclusionQueryNV", "glBeginOcclusionQueryNV", (void *) wine_glBeginOcclusionQueryNV, (void **) (&func_glBeginOcclusionQueryNV) },
   { "glBeginQuery", "glBeginQuery", (void *) wine_glBeginQuery, (void **) (&func_glBeginQuery) },
   { "glBeginQueryARB", "glBeginQueryARB", (void *) wine_glBeginQueryARB, (void **) (&func_glBeginQueryARB) },
   { "glBeginVertexShaderEXT", "glBeginVertexShaderEXT", (void *) wine_glBeginVertexShaderEXT, (void **) (&func_glBeginVertexShaderEXT) },
+  { "glBindAttribLocation", "glBindAttribLocation", (void *) wine_glBindAttribLocation, (void **) (&func_glBindAttribLocation) },
   { "glBindAttribLocationARB", "glBindAttribLocationARB", (void *) wine_glBindAttribLocationARB, (void **) (&func_glBindAttribLocationARB) },
   { "glBindBuffer", "glBindBuffer", (void *) wine_glBindBuffer, (void **) (&func_glBindBuffer) },
   { "glBindBufferARB", "glBindBufferARB", (void *) wine_glBindBufferARB, (void **) (&func_glBindBufferARB) },
@@ -2020,6 +2212,7 @@
   { "glBinormalPointerEXT", "glBinormalPointerEXT", (void *) wine_glBinormalPointerEXT, (void **) (&func_glBinormalPointerEXT) },
   { "glBlendColorEXT", "glBlendColorEXT", (void *) wine_glBlendColorEXT, (void **) (&func_glBlendColorEXT) },
   { "glBlendEquationEXT", "glBlendEquationEXT", (void *) wine_glBlendEquationEXT, (void **) (&func_glBlendEquationEXT) },
+  { "glBlendEquationSeparate", "glBlendEquationSeparate", (void *) wine_glBlendEquationSeparate, (void **) (&func_glBlendEquationSeparate) },
   { "glBlendEquationSeparateEXT", "glBlendEquationSeparateEXT", (void *) wine_glBlendEquationSeparateEXT, (void **) (&func_glBlendEquationSeparateEXT) },
   { "glBlendFuncSeparate", "glBlendFuncSeparate", (void *) wine_glBlendFuncSeparate, (void **) (&func_glBlendFuncSeparate) },
   { "glBlendFuncSeparateEXT", "glBlendFuncSeparateEXT", (void *) wine_glBlendFuncSeparateEXT, (void **) (&func_glBlendFuncSeparateEXT) },
@@ -2029,6 +2222,7 @@
   { "glBufferRegionEnabled", "glBufferRegionEnabled", (void *) wine_glBufferRegionEnabled, (void **) (&func_glBufferRegionEnabled) },
   { "glBufferSubData", "glBufferSubData", (void *) wine_glBufferSubData, (void **) (&func_glBufferSubData) },
   { "glBufferSubDataARB", "glBufferSubDataARB", (void *) wine_glBufferSubDataARB, (void **) (&func_glBufferSubDataARB) },
+  { "glClampColorARB", "glClampColorARB", (void *) wine_glClampColorARB, (void **) (&func_glClampColorARB) },
   { "glClientActiveTexture", "glClientActiveTexture", (void *) wine_glClientActiveTexture, (void **) (&func_glClientActiveTexture) },
   { "glClientActiveTextureARB", "glClientActiveTextureARB", (void *) wine_glClientActiveTextureARB, (void **) (&func_glClientActiveTextureARB) },
   { "glClientActiveVertexStreamATI", "glClientActiveVertexStreamATI", (void *) wine_glClientActiveVertexStreamATI, (void **) (&func_glClientActiveVertexStreamATI) },
@@ -2062,6 +2256,7 @@
   { "glCombinerParameteriNV", "glCombinerParameteriNV", (void *) wine_glCombinerParameteriNV, (void **) (&func_glCombinerParameteriNV) },
   { "glCombinerParameterivNV", "glCombinerParameterivNV", (void *) wine_glCombinerParameterivNV, (void **) (&func_glCombinerParameterivNV) },
   { "glCombinerStageParameterfvNV", "glCombinerStageParameterfvNV", (void *) wine_glCombinerStageParameterfvNV, (void **) (&func_glCombinerStageParameterfvNV) },
+  { "glCompileShader", "glCompileShader", (void *) wine_glCompileShader, (void **) (&func_glCompileShader) },
   { "glCompileShaderARB", "glCompileShaderARB", (void *) wine_glCompileShaderARB, (void **) (&func_glCompileShaderARB) },
   { "glCompressedTexImage1D", "glCompressedTexImage1D", (void *) wine_glCompressedTexImage1D, (void **) (&func_glCompressedTexImage1D) },
   { "glCompressedTexImage1DARB", "glCompressedTexImage1DARB", (void *) wine_glCompressedTexImage1DARB, (void **) (&func_glCompressedTexImage1DARB) },
@@ -2090,7 +2285,9 @@
   { "glCopyTexSubImage1DEXT", "glCopyTexSubImage1DEXT", (void *) wine_glCopyTexSubImage1DEXT, (void **) (&func_glCopyTexSubImage1DEXT) },
   { "glCopyTexSubImage2DEXT", "glCopyTexSubImage2DEXT", (void *) wine_glCopyTexSubImage2DEXT, (void **) (&func_glCopyTexSubImage2DEXT) },
   { "glCopyTexSubImage3DEXT", "glCopyTexSubImage3DEXT", (void *) wine_glCopyTexSubImage3DEXT, (void **) (&func_glCopyTexSubImage3DEXT) },
+  { "glCreateProgram", "glCreateProgram", (void *) wine_glCreateProgram, (void **) (&func_glCreateProgram) },
   { "glCreateProgramObjectARB", "glCreateProgramObjectARB", (void *) wine_glCreateProgramObjectARB, (void **) (&func_glCreateProgramObjectARB) },
+  { "glCreateShader", "glCreateShader", (void *) wine_glCreateShader, (void **) (&func_glCreateShader) },
   { "glCreateShaderObjectARB", "glCreateShaderObjectARB", (void *) wine_glCreateShaderObjectARB, (void **) (&func_glCreateShaderObjectARB) },
   { "glCullParameterdvEXT", "glCullParameterdvEXT", (void *) wine_glCullParameterdvEXT, (void **) (&func_glCullParameterdvEXT) },
   { "glCullParameterfvEXT", "glCullParameterfvEXT", (void *) wine_glCullParameterfvEXT, (void **) (&func_glCullParameterfvEXT) },
@@ -2108,20 +2305,26 @@
   { "glDeleteObjectARB", "glDeleteObjectARB", (void *) wine_glDeleteObjectARB, (void **) (&func_glDeleteObjectARB) },
   { "glDeleteObjectBufferATI", "glDeleteObjectBufferATI", (void *) wine_glDeleteObjectBufferATI, (void **) (&func_glDeleteObjectBufferATI) },
   { "glDeleteOcclusionQueriesNV", "glDeleteOcclusionQueriesNV", (void *) wine_glDeleteOcclusionQueriesNV, (void **) (&func_glDeleteOcclusionQueriesNV) },
+  { "glDeleteProgram", "glDeleteProgram", (void *) wine_glDeleteProgram, (void **) (&func_glDeleteProgram) },
   { "glDeleteProgramsARB", "glDeleteProgramsARB", (void *) wine_glDeleteProgramsARB, (void **) (&func_glDeleteProgramsARB) },
   { "glDeleteProgramsNV", "glDeleteProgramsNV", (void *) wine_glDeleteProgramsNV, (void **) (&func_glDeleteProgramsNV) },
   { "glDeleteQueries", "glDeleteQueries", (void *) wine_glDeleteQueries, (void **) (&func_glDeleteQueries) },
   { "glDeleteQueriesARB", "glDeleteQueriesARB", (void *) wine_glDeleteQueriesARB, (void **) (&func_glDeleteQueriesARB) },
+  { "glDeleteShader", "glDeleteShader", (void *) wine_glDeleteShader, (void **) (&func_glDeleteShader) },
   { "glDeleteTexturesEXT", "glDeleteTexturesEXT", (void *) wine_glDeleteTexturesEXT, (void **) (&func_glDeleteTexturesEXT) },
   { "glDeleteVertexArraysAPPLE", "glDeleteVertexArraysAPPLE", (void *) wine_glDeleteVertexArraysAPPLE, (void **) (&func_glDeleteVertexArraysAPPLE) },
   { "glDeleteVertexShaderEXT", "glDeleteVertexShaderEXT", (void *) wine_glDeleteVertexShaderEXT, (void **) (&func_glDeleteVertexShaderEXT) },
   { "glDepthBoundsEXT", "glDepthBoundsEXT", (void *) wine_glDepthBoundsEXT, (void **) (&func_glDepthBoundsEXT) },
   { "glDetachObjectARB", "glDetachObjectARB", (void *) wine_glDetachObjectARB, (void **) (&func_glDetachObjectARB) },
+  { "glDetachShader", "glDetachShader", (void *) wine_glDetachShader, (void **) (&func_glDetachShader) },
   { "glDetailTexFuncSGIS", "glDetailTexFuncSGIS", (void *) wine_glDetailTexFuncSGIS, (void **) (&func_glDetailTexFuncSGIS) },
   { "glDisableVariantClientStateEXT", "glDisableVariantClientStateEXT", (void *) wine_glDisableVariantClientStateEXT, (void **) (&func_glDisableVariantClientStateEXT) },
+  { "glDisableVertexAttribArray", "glDisableVertexAttribArray", (void *) wine_glDisableVertexAttribArray, (void **) (&func_glDisableVertexAttribArray) },
   { "glDisableVertexAttribArrayARB", "glDisableVertexAttribArrayARB", (void *) wine_glDisableVertexAttribArrayARB, (void **) (&func_glDisableVertexAttribArrayARB) },
   { "glDrawArraysEXT", "glDrawArraysEXT", (void *) wine_glDrawArraysEXT, (void **) (&func_glDrawArraysEXT) },
   { "glDrawBufferRegion", "glDrawBufferRegion", (void *) wine_glDrawBufferRegion, (void **) (&func_glDrawBufferRegion) },
+  { "glDrawBuffers", "glDrawBuffers", (void *) wine_glDrawBuffers, (void **) (&func_glDrawBuffers) },
+  { "glDrawBuffersARB", "glDrawBuffersARB", (void *) wine_glDrawBuffersARB, (void **) (&func_glDrawBuffersARB) },
   { "glDrawBuffersATI", "glDrawBuffersATI", (void *) wine_glDrawBuffersATI, (void **) (&func_glDrawBuffersATI) },
   { "glDrawElementArrayAPPLE", "glDrawElementArrayAPPLE", (void *) wine_glDrawElementArrayAPPLE, (void **) (&func_glDrawElementArrayAPPLE) },
   { "glDrawElementArrayATI", "glDrawElementArrayATI", (void *) wine_glDrawElementArrayATI, (void **) (&func_glDrawElementArrayATI) },
@@ -2134,6 +2337,7 @@
   { "glElementPointerAPPLE", "glElementPointerAPPLE", (void *) wine_glElementPointerAPPLE, (void **) (&func_glElementPointerAPPLE) },
   { "glElementPointerATI", "glElementPointerATI", (void *) wine_glElementPointerATI, (void **) (&func_glElementPointerATI) },
   { "glEnableVariantClientStateEXT", "glEnableVariantClientStateEXT", (void *) wine_glEnableVariantClientStateEXT, (void **) (&func_glEnableVariantClientStateEXT) },
+  { "glEnableVertexAttribArray", "glEnableVertexAttribArray", (void *) wine_glEnableVertexAttribArray, (void **) (&func_glEnableVertexAttribArray) },
   { "glEnableVertexAttribArrayARB", "glEnableVertexAttribArrayARB", (void *) wine_glEnableVertexAttribArrayARB, (void **) (&func_glEnableVertexAttribArrayARB) },
   { "glEndFragmentShaderATI", "glEndFragmentShaderATI", (void *) wine_glEndFragmentShaderATI, (void **) (&func_glEndFragmentShaderATI) },
   { "glEndOcclusionQueryNV", "glEndOcclusionQueryNV", (void *) wine_glEndOcclusionQueryNV, (void **) (&func_glEndOcclusionQueryNV) },
